import "./styles.sass";

export const Card = ({game}) => {

    const openGame = () => {
        window.open(game.url, "_blank");
    }

    return (
        <div className="card">
            {game.banner && <img src={game.banner} alt={game.title} />}
            <div className="card-content">
                <h2>{game.name}</h2>
                <p>{game.description}</p>
                <div className="btn-area">
                    <button className="btn btn-full" onClick={openGame}>Spielen</button>
                    <button className="btn btn-light">Informationen</button>
                </div>
            </div>

        </div>
    )
}